CHSH(1)

NAME
chsh - Changer l'interpréteur de commandes initial

SYNOPSIS

chsh [-s interpréteur] [utilisateur]

DESCRIPTION

Chsh modifie l'interpréteur de commandes initial (« login shell ») de l'utilisateur qui sera invoqué lors des connexions de l'utilisateur. Un utilisateur normal ne peut changer que l'interpréteur associé à son compte. Le superutilisateur peut changer l'interpréteur de commandes initial pour n'importe quel compte.

La seule restriction placée sur l'interpréteur est que cette commande doit être listée dans /etc/shells, à moins que chsh ne soit invoqué par le superutilisateur, qui peut ajouter n'importe quelle valeur. Un compte avec un interpréteur de commandes restreint ne peut pas changer son interpréteur. Pour cette raison, il est déconseillé de placer /bin/rsh dans /etc/shells, puisqu'un changement accidentel vers un interpréteur restreint empêchera alors l'utilisateur de retourner ensuite à l'interpréteur précédent.

OPTIONS

Quand l'option -s n'est pas sélectionnée, chsh opère de façon interactive, demandant à l'utilisateur quel doit être le nouvel interpréteur de commandes initial (« login shell »). L'utilisateur pourra entrer une nouvelle valeur pour modifier l'interpréteur, ou laisser la ligne blanche pour conserver l'interpréteur actuel. L'interpréteur actuel est indiqué entre crochets ([ ]).

FICHIERS

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shells
    liste des interpréteurs de commandes initiaux valables

/etc/login.defs
    configuration de la suite des mots de passe cachés « shadow password »

VOIR AUSSI

chfn(1), login.defs(5), passwd(5).